# PatternsReactRoute

**Category:** Base Components/Pages/Router

## Design

### Description

The `PatternsReactRoute` component defines a route for a Patterns element.

This component extends [`Route`](https://reactrouter.com/en/main/route/route)  from `react-router-dom`.

### Usage
Wrap `PatternsReactRoute` components with [`PatternsReactRouter`](/?path=/story/base-components-pages-routing--patternsreactrouter).

```tsx
import { PatternsReactRoute } from '@wix/patterns/router';
```

## API

### Extends

[React Router Route](https://reactrouter.com/en/main/route/route)

### Props

| Prop | Type | Required | Default | Description |
|------|------|----------|---------|-------------|
| `type` | `"collection" \| "other" \| "createEntity" \| "editEntity"` | Yes | - | Page type. Supported values: <br /> - `"collection"` <br /> - `"createEntity"` <br /> - `"editEntity"` <br /> - `"other"` <br /> |

